<?php
namespace FluidTYPO3\Vhs\Tests\Unit\ViewHelpers\Variable;

/*
 * This file is part of the FluidTYPO3/Vhs project under GPLv2 or later.
 *
 * For the full copyright and license information, please read the
 * LICENSE.md file that was distributed with this source code.
 */

use FluidTYPO3\Vhs\Tests\Unit\ViewHelpers\AbstractViewHelperTest;

/**
 * @protection off
 * @author Claus Due <claus@namelesscoder.net>
 * @package Vhs
 */
class TyposcriptViewHelperTest extends AbstractViewHelperTest {

	/**
	 * @test
	 */
	public function returnsNullIfPathIsNull() {
		$this->assertNull($this->executeViewHelper(array('path' => NULL)));
	}

	/**
	 * @test
	 */
	public function returnsArrayIfPathContainsArray() {
		$this->assertThat($this->executeViewHelper(array('path' => 'config.tx_extbase.features')), new \PHPUnit_Framework_Constraint_IsType(\PHPUnit_Framework_Constraint_IsType::TYPE_ARRAY));
	}

	/**
	 * @test
	 */
	public function canGetPathUsingArgument() {
		$this->assertNotEmpty($this->executeViewHelper(array('path' => 'config.tx_extbase.features')));
	}

	/**
	 * @test
	 */
	public function canGetPathUsingTagContent() {
		$this->assertNotEmpty($this->executeViewHelperUsingTagContent('Text', 'config.tx_extbase.features'));
	}

}
